Man in the Middle (MITM) Affecting org.eclipse.vorto:parent Open this link in a new tab package, versions [0,0.10.1)


0.0
medium
  • Attack Complexity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGECLIPSEVORTO-174476

  • published

    22 Apr 2019

  • disclosed

    22 Apr 2019

  • credit

    Unknown

How to fix?

Upgrade org.eclipse.vorto:parent to version 0.10.1 or higher.

Overview

org.eclipse.vorto:parent is a package that allows device manufacturers to easily describe device functionality and characteristics as Device Information Models and share & manage them in a central Vorto Repository.

Affected versions of this package are vulnerable to Man in the Middle (MITM). The resolving process of Maven build artifacts is over HTTP instead of HTTPS. Any of these dependent artifacts could have been maliciously compromised by a MITM attack.